Platform & IdentityStores
Cancel a scheduled store deletion
Brings the store back to active while it is still inside the grace period.
DELETE
/v1/stores/deletionBrings the store back to active while it is still inside the grace period.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X DELETE "https://example.com/v1/stores/deletion" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "status": "active", "requestedOn": "2026-08-01T15:30:00Z", "scheduledOn": "2026-08-01T15:30:00Z"}